Pinetop-Studios - PSS #3

Test Demo Issue
12/13/2021 09:56 AM - Michael Milliron

Status: Closed - No Further Action Start date: 12/13/2021
Priority: Medium Due date: 12/13/2021
Assignee: Michael Milliron % Done: 100%
Category: Hotel - Exterior Estimated time: 0.00 hour
Description

There is a broken window next to the front door. Please call to get it replaced.

History

#1 - 12/13/2021 10:01 AM - Michael Milliron
- % Done changed from 0 to 100

#2 - 12/13/2021 10:06 AM - Michael Milliron

- Status changed from New to Completed

Request Completed

#3 - 12/13/2021 10:07 AM - Michael Milliron

- Status changed from Completed to Closed - No Further Action

#4 - 04/07/2022 03:51 PM - Michael Milliron
